# Uses of Interface
javajs.api.GenericCifDataParser

Packages that use GenericCifDataParser
Package
Description
javajs.api
javajs.util
org.jmol.adapter.readers.cif

## Uses of GenericCifDataParser in javajs.api

Methods in javajs.api that return GenericCifDataParser
Modifier and Type
Method
Description
`GenericCifDataParser`
GenericCifDataParser.`set(GenericLineReader reader, BufferedReader br, boolean debugging)`

## Uses of GenericCifDataParser in javajs.util

Classes in javajs.util that implement GenericCifDataParser
Modifier and Type
Class
Description
`class`
`CifDataParser`
A CIF 1.0 tokenizer class for dealing with quoted strings in CIF files.
Methods in javajs.util with parameters of type GenericCifDataParser
Modifier and Type
Method
Description
`static Map<String,Object>`
Rdr.`readCifData(GenericCifDataParser parser, BufferedReader br, String[] keys)`

## Uses of GenericCifDataParser in org.jmol.adapter.readers.cif

Classes in org.jmol.adapter.readers.cif that implement GenericCifDataParser
Modifier and Type
Class
Description
`class`
`Cif2DataParser`
Fully implemented 2016.12.1 see http://journals.iucr.org/j/issues/2016/01/00/aj5269/index.html Will deliver JSON versions of the data while file reading and Java List/Map structures when called by x = getProperty("cifInfo", filename) Validated using the test-data suite by John Bollinger (John.Bollinger@stjude.org) found at https://github.com/COMCIFS/cif_api
Methods in org.jmol.adapter.readers.cif that return GenericCifDataParser
Modifier and Type
Method
Description
`protected GenericCifDataParser`
BCIFReader.`getCifDataParser()`
`protected GenericCifDataParser`
Cif2Reader.`getCifDataParser()`
`protected GenericCifDataParser`
CifReader.`getCifDataParser()`